Name:           chestnut-dialer
Version:        0.3.3
Release:        %{!?snapshot: 1}%{?snapshot: 0.%{snapshot}}%{?dist}
Summary:        A PPP dialing program, written in Python
Summary(ru_RU.UTF-8): Программа дозвона по протоколу PPP, написанная на Python
Summary(uk_UA.UTF-8): Програма дозвону за протоколом PPP, написана на Python

Group:          Applications/Communications
License:        GPL
URL:            http://chestnut-dialer.sourceforge.net
Source0:        http://umn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define pppconfdir /etc/ppp
%define docdir %{_datadir}/chestnut-dialer/chestnut_dialer/doc
%define consolehelper /usr/bin/consolehelper
%define pamdir /etc/pam.d
%define consoleappsdir /etc/security/console.apps

%{!?_with_gtk2: %{!?_without_gtk2: %define _with_gtk2 1}}
%{!?_with_qt: %{!?_without_qt: %define _with_qt 1}}
%{!?_with_consolehelper: %{!?_without_consolehelper: %define _with_consolehelper --with-consolehelper}}

Requires:       ppp
Requires:       python >= 2.2
Requires:       libxml2-python
Prereq(post):   /sbin/install-info
Prereq(preun):  /sbin/install-info
%{?_with_consolehelper:Requires: %{consolehelper}}
%{?_with_consolehelper:Requires: pam}

BuildArch:      noarch
BuildRequires:  ppp
BuildRequires:  python >= 2.2
BuildRequires:  libxml2-python
BuildRequires:  texinfo
BuildRequires:  desktop-file-utils
%{?_with_gtk2:BuildRequires: pygtk2}
%{?_with_gtk2:BuildRequires: pygtk2-libglade}
%{?_with_qt:BuildRequires: PyQt}
%{?_with_consolehelper:BuildRequires: %{consolehelper}}


%description
Chestnut Dialer is PPP dialing program, written in Python. Many Internet
providers, that provide dialup service, use PPP protocol; this program helps
you to connect to Internet using a modem. Current version %{version} can work
with GTK2, QT, and without GUI (command line interface). Chestnut Dialer uses
standard pppd daemon to set up network interface.

%description -l ru_RU.UTF-8
Chestnut Dialer - это программа дозвона по протоколу PPP, написанная на Python.
Протокол PPP используется большинством Internet-провайдеров, предоставляющих
свои услуги по коммутируемым линиям (dialup), так что эта программа поможет вам
подключится к Internet при помощи модема. Текущая версия (%{version}) может
работать с GTK2, QT, и без графического интерфейса (интерфейс командной
строки). Chestnut Dialer использует стандартный демон pppd для установки
сетевого интерфейса.

%description -l uk_UA.UTF-8
Chestnut Dialer - це програма дозвону за протоколом PPP, написана на Python.
Теперішня версія (%{version}) може працювати з GTK2, QT, та без графічного
інтерфейсу (інтерфейс командного рядка). Chestnut Dialer використовує
стандартний демон pppd для з'єднання з провайдером.

%if %{?_with_gtk2:1}%{!?_with_gtk2:0}

%package gtk2
Summary:        GTK2 user interface for Chestnut Dialer
Summary(ru_RU.UTF-8): Интерфейс пользователя GTK2 для Chestnut Dialer
Summary(uk_UA.UTF-8): Интерфейс користувача GTK2 для Chestnut Dialer
Group:          Applications/Communications
Requires:       %{name} = %{version}
Requires:       pygtk2
Requires:       pygtk2-libglade

%description gtk2
This is the GTK2 user interface for Chestnut Dialer.

%description -l ru_RU.UTF-8 gtk2
Интерфейс пользователя GTK2 для Chestnut Dialer.

%description -l uk_UA.UTF-8 gtk2
Интерфейс користувача GTK2 для Chestnut Dialer.

%endif

%if %{?_with_qt:1}%{!?_with_qt:0}

%package qt
Summary:        QT user interface for Chestnut Dialer
Summary(ru_RU.UTF-8): Интерфейс пользователя QT для Chestnut Dialer
Summary(uk_UA.UTF-8): Интерфейс користувача QT для Chestnut Dialer
Group:          Applications/Communications
Requires:       %{name} = %{version}
Requires:       PyQt

%description qt
This is the QT user interface for Chestnut Dialer.

%description -l ru_RU.UTF-8 qt
Интерфейс пользователя QT для Chestnut Dialer.

%description -l uk_UA.UTF-8 qt
Интерфейс користувача QT для Chestnut Dialer.

%endif

%prep
%setup -q

%build
%configure \
	%{?_with_gtk2:--enable-gtk2} \
	%{?_without_gtk2:--disable-gtk2} \
	%{?_with_qt:--enable-qt} \
	%{?_without_qt:--disable-qt} \
	--with-pppconfdir=%{pppconfdir} \
	--with-docdir=%{docdir} \
	%{?_with_consolehelper} \
	--with-pamdir=%{pamdir} \
	--with-consoleappsdir=%{consoleappsdir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Remove localized info files... Makeinfo has no support for UTF-8
rm -f $RPM_BUILD_ROOT%{_infodir}/chestnut-dialer-??.*
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%if %{?_with_gtk2:1}%{!?_with_gtk2:0}
desktop-file-install --vendor "" \
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
	chestnut-dialer-gtk2.desktop
%endif
%if %{?_with_qt:1}%{!?_with_qt:0}
desktop-file-install --vendor "" \
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
	chestnut-dialer-qt.desktop
%endif
%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/chestnut-dialer.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/chestnut-dialer.info.gz %{_infodir}/dir
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS* README* FAQ*

# Yes, we replace this file on package updating because this is not really a
# configuration file of Chestnut Dialer. This file is used only to enable
# passwordfd plugin
%{pppconfdir}/peers/chestnut-dialer

%{_bindir}/chestnut-dialer
%if %{?_with_consolehelper:1}%{!?_with_consolehelper:0}
%{_sbindir}/chestnut-dialer

%config(noreplace) %{pamdir}/chestnut-dialer
%config(noreplace) %{consoleappsdir}/chestnut-dialer
%endif

%dir %{_datadir}/chestnut-dialer
%{_datadir}/chestnut-dialer/chestnut_dialer/dobj
%{_datadir}/chestnut-dialer/chestnut_dialer/doc
%{_datadir}/chestnut-dialer/chestnut_dialer/dockicons
%{_datadir}/chestnut-dialer/chestnut_dialer/importers
%{_datadir}/chestnut-dialer/chestnut_dialer/none_ui
%{_datadir}/chestnut-dialer/chestnut_dialer/*.py*
%{_datadir}/chestnut-dialer/chestnut_dialer/*.x*
%{_datadir}/pixmaps/chestnut-dialer.png
%{_infodir}/%{name}*.info*
%{_mandir}/man1/chestnut-dialer*

%if %{?_with_gtk2:1}%{!?_with_gtk2:0}

%files gtk2
%defattr(-,root,root)
%{_datadir}/chestnut-dialer/chestnut_dialer/gtk2_ui
%{_datadir}/applications/*chestnut-dialer-gtk2.desktop

%endif

%if %{?_with_qt:1}%{!?_with_qt:0}

%files qt
%defattr(-,root,root)
%{_datadir}/chestnut-dialer/chestnut_dialer/qt_ui
%{_datadir}/applications/*chestnut-dialer-qt.desktop

%endif
